Summary: Washington University FTP daemon
Name: wu-ftpd
Version: 2.4.2b12
Release: 1a
Copyright: distributable
Group: Networking/Daemons
Source: ftp://ftp.academ.com/pub/wu-ftpd/private/wu-ftpd-2.4.2-beta-12.tar.Z
Source1: ftpd.log
Patch0: wu-ftpd-2.4.2-linux.patch
Patch1: wu-ftpd-2.4.2-acl.patch
Patch2: wu-ftpd-2.4.2-rhsconfig.patch
Patch4: wu-ftpd-2.4.2-pam.patch
Patch5: wu-ftpd-2.4.2-glibc.patch
Patch7: wu-ftpd-2.4.2-ps.patch
Requires: pamconfig

%description
wu-ftpd is the daemon (background) program which serves FTP files to
ftp clients.  It is useful if you wish to exchange programs between
computers without running a network filesystem such as NFS, or if you
with to run an anonymous FTP site (in which case, you will want to
install the anonftp package).

%changelog

* Thu Feb 13 1997 Michael K. Johnson <johnsonm@redhat.com>

Updated to beta-12, and created a new PAM patch from scratch, since
the old one made massive changes to ftpd and caused some problems.

%prep
%setup -n wu-ftpd-2.4.2-beta-12
mkdir rhsconfig
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1 -b .nopam

%ifarch axp
%patch5 -p1 -b .noglibc
%endif

%patch7 -p1 -b .badps

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ./build lnx USE_PAM=1

%install
make install
install -m755 util/xferstats /usr/sbin
cd rhsconfig
install -m600 ftpaccess /etc
install -m600 ftpusers /etc
install -m600 ftphosts /etc
install -m600 ftpgroups /etc
install -m600 ftpconversions /etc

strip /usr/sbin/in.ftpd /usr/sbin/ftpshut /usr/bin/ftpwho /usr/bin/ftpcount

install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/ftpd.log /etc/logrotate.d/ftpd

%post
/sbin/pamconfig --add --service=ftp --authlist='required /lib/security/pam_listfile.so "item=user sense=deny file=/etc/ftpusers onerr=succeed" required /lib/security/pam_unix_auth.so "" required /lib/security/pam_shells.so ""' --password=none

if [ ! -f /var/log/xferlog ]; then
	touch /var/log/xferlog
	chmod 600 /var/log/xferlog
fi

%postun
if [ "$1" = 0 ] ; then
  /sbin/pamconfig --add --service=ftp --authlist='required /lib/security/pam_listfile.so "item=user sense=deny file=/etc/ftpusers onerr=succeed" required /lib/security/pam_unix_auth.so "" required /lib/security/pam_shells.so ""' --password=none
fi

%files
%doc README ANNOUNCE-12 NOTES FIXES-* VIRTUAL.FTP.SUPPPORT
/usr/sbin/in.ftpd
/usr/sbin/ftpshut
/usr/sbin/xferstats
/usr/bin/ftpwho
/usr/bin/ftpcount

/usr/man/man8/ftpshut.8
/usr/man/man8/ftpd.8
/usr/man/man5/xferlog.5
/usr/man/man5/ftphosts.5
/usr/man/man5/ftpconversions.5
/usr/man/man5/ftpaccess.5
/usr/man/man1/ftpwho.1
/usr/man/man1/ftpcount.1

%config /etc/ftpusers
%config /etc/ftphosts
%config /etc/ftpgroups
%config /etc/ftpconversions
%config /etc/ftpaccess

%config /etc/logrotate.d/ftpd

